Debian Bug report logs - #629418
nvidia-glx: PowerMizer doesn't detect change in power source

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Diggory Hardy <diggory.hardy@gmail.com>

Date: Mon, 6 Jun 2011 14:30:02 UTC

Severity: normal

Tags: moreinfo, upstream

Found in versions nvidia-graphics-drivers/280.13-1, nvidia-graphics-drivers/270.41.19-1

Forwarded to http://www.nvnews.net/vbulletin/showthread.php?t=162856

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Mon, 06 Jun 2011 14:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 06 Jun 2011 14:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: submit@bugs.debian.org
Subject: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Mon, 6 Jun 2011 16:16:19 +0200
Package: nvidia-glx
Version: 270.41.19-1
Severity: normal

I have set up nvidia's PowerMizer to use different profiles on mains and battery power as documented at http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however according to nvidia-settings the laptop is always on mains power, even when it's actually running off the battery:

> $ nvidia-settings -q GPUPowerSource -t
> 0

I noticed that OpenSUSE running on the same laptop detects the power source correctly, so might this have something to do withpackaging? Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on this debian system.



-- Package-specific info:
uname -a:
Linux SwissTPH-dhardy 2.6.38-2-amd64 #1 SMP Sun May 8 13:51:57 UTC 2011 x86_64 GNU/Linux

/proc/version:
Linux version 2.6.38-2-amd64 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 13:51:57 UTC 2011

/proc/driver/nvidia/version:
NVRM version: NVIDIA UNIX x86_64 Kernel Module  270.41.19  Mon May 16 23:32:08 PDT 2011
GCC version:  gcc version 4.4.6 (Debian 4.4.6-3) 

lspci 'VGA compatible controller [0300]':
01:00.0 VGA compatible controller [0300]: nVidia Corporation GT218 [NVS 3100M] [10de:0a6c] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: Lenovo ThinkPad T410 [17aa:2142]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at cc000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at ce000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at 2000 [size=128]
	[virtual] Expansion ROM at cd000000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

OpenGL and NVIDIA library files installed:
lrwxrwxrwx 1 root root       37 Jun  4 12:46 /etc/alternatives/ia32-libGL.so -> /usr/lib32/nvidia/diversions/libGL.so
lrwxrwxrwx 1 root root       28 Apr  7 11:49 /etc/alternatives/ia32-libGL.so.1 -> /usr/lib32/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       35 Dec  1  2010 /etc/alternatives/libGL.so -> /usr/lib/nvidia/diversions/libGL.so
lrwxrwxrwx 1 root root       26 Jun  4 12:46 /etc/alternatives/libGL.so.1 -> /usr/lib/nvidia/libGL.so.1
lrwxrwxrwx 1 root root       26 Dec  1  2010 /usr/lib/libGL.so -> /etc/alternatives/libGL.so
lrwxrwxrwx 1 root root       28 Jun  4 12:46 /usr/lib/libGL.so.1 -> /etc/alternatives/libGL.so.1
lrwxrwxrwx 1 root root       26 May 25 08:52 /usr/lib/libnvidia-cfg.so.1 -> libnvidia-cfg.so.270.41.19
-rw-r--r-- 1 root root   133064 May 17 08:52 /usr/lib/libnvidia-cfg.so.270.41.19
-rw-r--r-- 1 root root 27484752 May 17 08:47 /usr/lib/libnvidia-glcore.so.270.41.19
-rw-r--r-- 1 root root     6008 May 17 08:51 /usr/lib/libnvidia-tls.so.270.41.19
lrwxrwxrwx 1 root root       31 Jun  4 12:46 /usr/lib32/libGL.so -> /etc/alternatives/ia32-libGL.so
lrwxrwxrwx 1 root root       33 Apr  7 11:49 /usr/lib32/libGL.so.1 -> /etc/alternatives/ia32-libGL.so.1
-rw-r--r-- 1 root root 24182932 May 17 08:48 /usr/lib32/libnvidia-glcore.so.270.41.19
-rw-r--r-- 1 root root     4504 May 17 08:51 /usr/lib32/libnvidia-tls.so.270.41.19

/usr/lib/nvidia:
total 7340
drwxr-xr-x   3 root root    4096 Jun  4 12:42 .
drwxr-xr-x 233 root root  139264 Jun  6 15:28 ..
-rwxr-xr-x   1 root root    1338 May 16 03:01 check-for-conflicting-opengl-libraries
drwxr-xr-x   2 root root    4096 Jun  4 12:41 diversions
lrwxrwxrwx   1 root root      18 May 25 08:52 libGL.so.1 -> libGL.so.270.41.19
-rw-r--r--   1 root root 1008272 May 17 08:48 libGL.so.270.41.19
lrwxrwxrwx   1 root root      19 May 25 08:52 libglx.so -> libglx.so.270.41.19
-rw-r--r--   1 root root 6327720 May 17 08:51 libglx.so.270.41.19
-rwxr-xr-x   1 root root     441 May 16 03:01 pre-install

/usr/lib/nvidia/diversions:
total 916
drwxr-xr-x 2 root root   4096 Jun  4 12:41 .
drwxr-xr-x 3 root root   4096 Jun  4 12:42 ..
-rw-r--r-- 1 root root    189 Mar 22 07:38 dummy.txt
lrwxrwxrwx 1 root root     10 May  2 12:39 libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root     12 May  2 12:39 libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 474024 May  2 12:39 libGL.so.1.2
-rw-r--r-- 1 root root 438632 May 26 11:13 libglx.so

/usr/lib32/nvidia:
total 816
drwxr-xr-x  3 root root   4096 Jun  4 12:42 .
drwxr-xr-x 35 root root  40960 Jun  4 12:46 ..
drwxr-xr-x  2 root root   4096 Jun  4 12:45 diversions
lrwxrwxrwx  1 root root     18 May 25 08:52 libGL.so.1 -> libGL.so.270.41.19
-rw-r--r--  1 root root 781540 May 17 08:48 libGL.so.270.41.19

/usr/lib32/nvidia/diversions:
total 408
drwxr-xr-x 2 root root   4096 Jun  4 12:45 .
drwxr-xr-x 3 root root   4096 Jun  4 12:42 ..
lrwxrwxrwx 1 root root     10 Jun  4 12:45 libGL.so -> libGL.so.1
lrwxrwxrwx 1 root root     12 Mar 22 14:07 libGL.so.1 -> libGL.so.1.2
-rw-r--r-- 1 root root 401528 Jul 15  2010 libGL.so.1.2

Files from nvidia-installer:


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nvidia-glx depends on:
ii  dpkg                         1.16.0.3    Debian package management system
ii  libc6                        2.13-4      Embedded GNU C Library: Shared lib
ii  libgl1-nvidia-glx [libgl1-nv 270.41.19-1 NVIDIA binary OpenGL libraries
ii  libglx-nvidia-alternatives   270.41.19-1 simplifies replacing Xorg module l
ii  nvidia-installer-cleanup     20110515+1  Cleanup after driver installation 
ii  nvidia-kernel-dkms [nvidia-k 270.41.19-1 NVIDIA binary kernel module DKMS s
ii  nvidia-support               20110515+1  NVIDIA binary graphics driver supp
ii  xserver-xorg-core [xorg-vide 2:1.10.1-2r Xorg X server - core server

Versions of packages nvidia-glx recommends:
ii  nvidia-vdpau-driver          270.41.19-1 NVIDIA vdpau driver

Versions of packages nvidia-glx suggests:
ii  nvidia-kernel-dkms [nvidia-k 270.41.19-1 NVIDIA binary kernel module DKMS s
ii  nvidia-kernel-source         270.41.19-1 NVIDIA binary kernel module source
ii  nvidia-settings              270.41.06-1 Tool for configuring the NVIDIA gr

Versions of packages nvidia-kernel-dkms depends on:
ii  dkms                          2.1.1.2-6  Dynamic Kernel Module Support Fram
ii  nvidia-kernel-common          20110515+1 NVIDIA binary kernel module suppor

nvidia-kernel-dkms recommends no packages.

Versions of packages nvidia-kernel-source depends on:
ii  debhelper                     8.1.6      helper programs for debian/rules
ii  make                          3.81-8.1   An utility for Directing compilati
ii  quilt                         0.48-7     Tool to work with series of patche

Versions of packages nvidia-kernel-source recommends:
ii  kernel-package               12.036+nmu1 A utility for building Linux kerne
ii  module-assistant             0.11.3      tool to make module package creati
ii  nvidia-kernel-common         20110515+1  NVIDIA binary kernel module suppor

nvidia-kernel-source suggests no packages.

Versions of packages nvidia-glx is related to:
ii  linux-headers-2.6-amd6 2.6.38+34         Header files for Linux 2.6-amd64 (
ii  linux-headers-2.6.32-5 2.6.32-34squeeze1 Header files for Linux 2.6.32-5-am
ii  linux-headers-2.6.38-2 2.6.38-5          Header files for Linux 2.6.38-2-am
ii  nvidia-glx [nvidia-glx 270.41.19-1       NVIDIA binary Xorg driver
ii  nvidia-kernel-common   20110515+1        NVIDIA binary kernel module suppor
ii  nvidia-kernel-dkms [nv 270.41.19-1       NVIDIA binary kernel module DKMS s
ii  nvidia-kernel-source   270.41.19-1       NVIDIA binary kernel module source
ii  xserver-xorg           1:7.6+6           the X.Org X server
ii  xserver-xorg-core      2:1.10.1-2r       Xorg X server - core server

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Mon, 06 Jun 2011 18:00:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 06 Jun 2011 18:00:16 GMT) Full text and rfc822 format available.

Message #10 received at 629418@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Diggory Hardy <diggory.hardy@gmail.com>, 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Mon, 06 Jun 2011 19:55:55 +0200
On 2011-06-06 16:16, Diggory Hardy wrote:
> Package: nvidia-glx
> Version: 270.41.19-1
> Severity: normal
> 
> I have set up nvidia's PowerMizer to use different profiles on mains
> and battery power as documented at
> http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however
incorrect URL

> according to nvidia-settings the laptop is always on mains power, even
> when it's actually running off the battery:
> 
>> $ nvidia-settings -q GPUPowerSource -t
>> 0

I get the same result on my laptop using 270.41.06 driver and several
versions of nvidia-settings. But I never looked at this before, so I
can't say whether this was working with older releases.
Eventually a driver problem.

> I noticed that OpenSUSE running on the same laptop detects the power
> source correctly, so might this have something to do withpackaging?

I don't think so. But as the nvidia-settings package is built from free
source code, you might want to try the binary built by nvidia. Download
the driver *.run file from
ftp://download.nvidia.com/XFree86/Linux-x86_64/ to a temporary directory
and run it with the --extract-only command line option so that it does
not start the installer. The nvidia-settings binary can be found in the
root of the tree that is being extracted. Switch to that directory and run
    ./nvidia-settings -q GPUPowerSource -t

> Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on
> this debian system.

Downgrading to 260.xx does not work due to missing support for Xorg
1.10, but eventually you could try the newer driver from experimental
(275.xx) and see if this was fixed.

A quick search in the NVIDIA forum found the following threads:
http://www.nvnews.net/vbulletin/showthread.php?t=133555
http://www.nvnews.net/vbulletin/showthread.php?t=136245


Andreas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Tue, 07 Jun 2011 19:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Tue, 07 Jun 2011 19:24:09 GMT) Full text and rfc822 format available.

Message #15 received at 629418@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Tue, 7 Jun 2011 21:20:15 +0200
[Message part 1 (text/plain, inline)]
Sorry, correct link is as follows (but you've probably seen the page
anyway):
http://tutanhamon.com.ua/technovodstvo/NVIDIA-UNIX-driver/

The nvidia-packaged nvidia-settings has the exact same output, as you
expected (also when querying GPUCurrentPerfLevel and GPUCurrentClockFreqs).

I was surprised earlier to find "nvidia-settings -q GPUPowerSource -t" did
list the computer as being on battery power. This was after resuming from
standby on battery power. After plugging it back in to a power source, it
didn't immediately say the laptop had changed to AC power, but coming back
perhaps half an hour later it did, so it appears it *is* detecting changes
in power source, but not for several minutes at least (when tested on
openSUSE it was immediate).

I have also noticed KDE's battery meter is often completely wrong, but
that's probably totally unrelated. /sys/class/power_supply/AC/online changes
immediately in response to disconnecting/connecting the power supply, as
well as the tp_smapi interface.

Cheers,
Diggory

On 6 June 2011 19:55, Andreas Beckmann <debian@abeckmann.de> wrote:

> On 2011-06-06 16:16, Diggory Hardy wrote:
> > Package: nvidia-glx
> > Version: 270.41.19-1
> > Severity: normal
> >
> > I have set up nvidia's PowerMizer to use different profiles on mains
> > and battery power as documented at
> > http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however
> incorrect URL
>
> > according to nvidia-settings the laptop is always on mains power, even
> > when it's actually running off the battery:
> >
> >> $ nvidia-settings -q GPUPowerSource -t
> >> 0
>
> I get the same result on my laptop using 270.41.06 driver and several
> versions of nvidia-settings. But I never looked at this before, so I
> can't say whether this was working with older releases.
> Eventually a driver problem.
>
> > I noticed that OpenSUSE running on the same laptop detects the power
> > source correctly, so might this have something to do withpackaging?
>
> I don't think so. But as the nvidia-settings package is built from free
> source code, you might want to try the binary built by nvidia. Download
> the driver *.run file from
> ftp://download.nvidia.com/XFree86/Linux-x86_64/ to a temporary directory
> and run it with the --extract-only command line option so that it does
> not start the installer. The nvidia-settings binary can be found in the
> root of the tree that is being extracted. Switch to that directory and run
>    ./nvidia-settings -q GPUPowerSource -t
>
> > Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on
> > this debian system.
>
> Downgrading to 260.xx does not work due to missing support for Xorg
> 1.10, but eventually you could try the newer driver from experimental
> (275.xx) and see if this was fixed.
>
> A quick search in the NVIDIA forum found the following threads:
> http://www.nvnews.net/vbulletin/showthread.php?t=133555
> http://www.nvnews.net/vbulletin/showthread.php?t=136245
>
>
> Andreas
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Wed, 08 Jun 2011 09:30:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 08 Jun 2011 09:30:20 GMT) Full text and rfc822 format available.

Message #20 received at 629418@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Diggory Hardy <diggory.hardy@gmail.com>
Cc: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Wed, 08 Jun 2011 11:26:38 +0200
On 2011-06-07 21:20, Diggory Hardy wrote:
> The nvidia-packaged nvidia-settings has the exact same output, as you
> expected (also when querying GPUCurrentPerfLevel and GPUCurrentClockFreqs).

OK.

> I was surprised earlier to find "nvidia-settings -q GPUPowerSource -t" did
> list the computer as being on battery power. This was after resuming from
> standby on battery power. After plugging it back in to a power source, it
> didn't immediately say the laptop had changed to AC power, but coming back
> perhaps half an hour later it did, so it appears it *is* detecting changes
> in power source, but not for several minutes at least (when tested on
> openSUSE it was immediate).

I don't know what NVIDIA uses to get the power information ...
eventually some delayed ACPI reaction?

>> A quick search in the NVIDIA forum found the following threads:
>> http://www.nvnews.net/vbulletin/showthread.php?t=133555
>> http://www.nvnews.net/vbulletin/showthread.php?t=136245

I'm sorry but I have no idea how to help with this problem.
You might consider bugging NVIDIA about it, but don't expect a reaction:
http://www.nvnews.net/vbulletin/showthread.php?t=46678

Andreas




Added tag(s) upstream. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Wed, 08 Jun 2011 09:54:36 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Wed, 08 Jun 2011 10:00:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Wed, 08 Jun 2011 10:00:18 GMT) Full text and rfc822 format available.

Message #27 received at 629418@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Wed, 8 Jun 2011 11:56:27 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm sorry but I have no idea how to help with this problem.
> You might consider bugging NVIDIA about it, but don't expect a reaction:
> http://www.nvnews.net/vbulletin/showthread.php?t=46678
>

Fair enough. I did actually already mention this on the nvnews forums
briefly and without response. I guess this just has to be closed as
unsolvable then.

Cheers,
Diggory
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Mon, 01 Aug 2011 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Mon, 01 Aug 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #32 received at 629418@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Diggory Hardy <diggory.hardy@gmail.com>
Cc: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Tue, 02 Aug 2011 00:13:12 +0200
On 2011-06-08 11:56, Diggory Hardy wrote:
> Fair enough. I did actually already mention this on the nvnews forums
> briefly and without response.

Do you have an URL to the corresponding forum post?

The following new NVIDIA driver versions are available:
  * 275.09.07-5 (release) in testing
  * 275.21-1 (release) in unstable
  * 280.11-1 (beta) in experimental
You might test them.


Andreas




Added tag(s) moreinfo. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 01 Aug 2011 22:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Sat, 27 Aug 2011 09:31:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 27 Aug 2011 09:31:56 GMT) Full text and rfc822 format available.

Message #39 received at 629418@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Sat, 27 Aug 2011 11:00:26 +0200
[Message part 1 (text/plain, inline)]
On 2 August 2011 00:13, Andreas Beckmann <debian@abeckmann.de> wrote:

> On 2011-06-08 11:56, Diggory Hardy wrote:
> > Fair enough. I did actually already mention this on the nvnews forums
> > briefly and without response.
>
> Do you have an URL to the corresponding forum post?
>

http://www.nvnews.net/vbulletin/showthread.php?t=162856
>
>
> The following new NVIDIA driver versions are available:
>  * 275.09.07-5 (release) in testing
>  * 275.21-1 (release) in unstable
>  * 280.11-1 (beta) in experimental
> You might test them.
>
> I'm running the 280.13 debian-packaged drivers now, and there's no change.

Apparently not everyone has this issue so might it be stale configuration
files somewhere?

Cheers,
Diggory
[Message part 2 (text/html, inline)]

Set Bug forwarded-to-address to 'http://www.nvnews.net/vbulletin/showthread.php?t=162856'. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 29 Aug 2011 08:54:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions nvidia-graphics-drivers/280.13-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 29 Aug 2011 08:54:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Thu, 03 Nov 2011 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carl Michal <michal@physics.ubc.ca>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 03 Nov 2011 06:51:04 GMT) Full text and rfc822 format available.


Message #48 received at 629418@bugs.debian.org (full text, mbox):

From: Carl Michal <michal@physics.ubc.ca>
To: 629418@bugs.debian.org
Date: Wed, 2 Nov 2011 23:14:46 -0700 (PDT)
> I have set up nvidia's PowerMizer to use different profiles on mains and 
> battery power as documented at 
> http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however 
> according to nvidia-settings the laptop is always on mains power, even 
> when it's actually running off the battery:

>> $ nvidia-settings -q GPUPowerSource -t
>> 0

> I noticed that OpenSUSE running on the same laptop detects the power 
> source correctly, so might this have something to do withpackaging? 
> Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on this debian 
> system.

If this is still a problem, check that acpid is running!  Look in 
Xorg.0.log - the driver reports whether it was able to connect to acpid 
successfully or not.  That was my problem...

Carl





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Fri, 04 Nov 2011 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Fri, 04 Nov 2011 02:51:03 GMT) Full text and rfc822 format available.

Message #53 received at 629418@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 629418@bugs.debian.org, 629418-submitter@bugs.debian.org
Cc: Carl Michal <michal@physics.ubc.ca>
Subject: Re: Bug#629418: NVIDIA PowerMizer not working - check acpid
Date: Fri, 04 Nov 2011 03:49:24 +0100
Hi Diggory,

please check what Carl suggested: acpid needs to be running and the
driver needs to connect to it.

If that solves your problem, please drop some bits about this in the
forum and I'll add some information to the README.

Andreas

On 2011-11-03 07:14, Carl Michal wrote:
>> I have set up nvidia's PowerMizer to use different profiles on mains
>> and battery power as documented at
>> http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however
>> according to nvidia-settings the laptop is always on mains power, even
>> when it's actually running off the battery:
> 
>>> $ nvidia-settings -q GPUPowerSource -t
>>> 0
> 
>> I noticed that OpenSUSE running on the same laptop detects the power
>> source correctly, so might this have something to do withpackaging?
>> Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on
>> this debian system.
> 
> If this is still a problem, check that acpid is running!  Look in
> Xorg.0.log - the driver reports whether it was able to connect to acpid
> successfully or not.  That was my problem...
> 
> Carl




Message sent on to Diggory Hardy <diggory.hardy@gmail.com>:
Bug#629418. (Fri, 04 Nov 2011 02:51:05 GMT) Full text and rfc822 format available.

Information stored :
Bug#629418; Package nvidia-glx. (Fri, 04 Nov 2011 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 04 Nov 2011 19:33:08 GMT) Full text and rfc822 format available.

Message #61 received at 629418-quiet@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, 629418-quiet@bugs.debian.org
Subject: Re: Bug#629418: NVIDIA PowerMizer not working - check acpid
Date: Fri, 4 Nov 2011 20:31:16 +0100
[Message part 1 (text/plain, inline)]
Hi Andreas

Thanks for the reminder; I didn't notice Carl's post somehow.

acpid is running and the driver appears to be able to connect:

> grep -i acpi /var/log/Xorg.0.log

[  1245.830] (II) Open ACPI successful (/var/run/acpid.socket)
[  1249.284] (**) Option "config_info"
"udev:/sys/devices/platform/thinkpad_acpi/input/input6/event6"
[  1249.286] (II) config/udev: Adding input device ACPI Virtual Keyboard
Device (/dev/input/event16)
[  1249.286] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev
keyboard catchall"
[  1249.286] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard
Device'
[  1249.286] (**) ACPI Virtual Keyboard Device: always reports core events
[  1249.286] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event16"
[  1249.286] (--) ACPI Virtual Keyboard Device: Found keys
[  1249.286] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[  1249.286] (II) XINPUT: Adding extended input device "ACPI Virtual
Keyboard Device" (type: KEYBOARD, id 14)
[  1260.787] (II) Open ACPI successful (/var/run/acpid.socket)
[ 21370.360] (II) Open ACPI successful (/var/run/acpid.socket)
(last message appears repeatedly)

But still the power source change isn't noticed within 10 minutes.

Cheers

On 4 November 2011 03:49, Andreas Beckmann <debian@abeckmann.de> wrote:

> Hi Diggory,
>
> please check what Carl suggested: acpid needs to be running and the
> driver needs to connect to it.
>
> If that solves your problem, please drop some bits about this in the
> forum and I'll add some information to the README.
>
> Andreas
>
> On 2011-11-03 07:14, Carl Michal wrote:
> >> I have set up nvidia's PowerMizer to use different profiles on mains
> >> and battery power as documented at
> >> http://tutanhamon.com.a/technovodstvo/NVIDIA-UNIX-driver/ , however
> >> according to nvidia-settings the laptop is always on mains power, even
> >> when it's actually running off the battery:
> >
> >>> $ nvidia-settings -q GPUPowerSource -t
> >>> 0
> >
> >> I noticed that OpenSUSE running on the same laptop detects the power
> >> source correctly, so might this have something to do withpackaging?
> >> Looks like I have 260.19.44 installed on openSUSE and 270.41.19 on
> >> this debian system.
> >
> > If this is still a problem, check that acpid is running!  Look in
> > Xorg.0.log - the driver reports whether it was able to connect to acpid
> > successfully or not.  That was my problem...
> >
> > Carl
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Sat, 12 Nov 2011 00:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan-Michael Heller <debianNVbug@mailfoo.doenerbier.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 12 Nov 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #66 received at 629418@bugs.debian.org (full text, mbox):

From: Jan-Michael Heller <debianNVbug@mailfoo.doenerbier.de>
To: 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Sat, 12 Nov 2011 01:37:50 +0100
Hi,

luckily i got to equal machines here, one with Ubuntu Natty (11.04) and
one with Debian squeeze, both with the same Quadro Chipset.
On Natty with linux 2.6.38.12.27 and the precompiled nvidia 270.1406
this problem does not occur.
On squeeze I first ran the newest 280.5-Driver and now downgraded to
270.1406, but the problem is still the same as described before. Maybe
this has something to do with a change in the ACPI-Interface and Nvidia
not supporting it the old way?
I am going to try to downgrade even more, if I have the time
(respectively the battery power left ;)

Jan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>:
Bug#629418; Package nvidia-glx. (Sat, 18 Feb 2012 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>. (Sat, 18 Feb 2012 21:03:07 GMT) Full text and rfc822 format available.

Message #71 received at 629418@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Jan-Michael Heller <debianNVbug@mailfoo.doenerbier.de>, 629418@bugs.debian.org
Subject: Re: Bug#629418: nvidia-glx: PowerMizer doesn't detect change in power source
Date: Sat, 18 Feb 2012 21:59:34 +0100
Hi Jan,

On 2011-11-12 01:37, Jan-Michael Heller wrote:
> luckily i got to equal machines here, one with Ubuntu Natty (11.04) and
> one with Debian squeeze, both with the same Quadro Chipset.
> On Natty with linux 2.6.38.12.27 and the precompiled nvidia 270.1406
> this problem does not occur.
> On squeeze I first ran the newest 280.5-Driver and now downgraded to
> 270.1406, but the problem is still the same as described before. Maybe
> this has something to do with a change in the ACPI-Interface and Nvidia
> not supporting it the old way?
> I am going to try to downgrade even more, if I have the time
> (respectively the battery power left ;)

Did you get any results from these tests?
Did you try a more recent driver version (290.10 in testing, 295.20 in
unstable) - does it change anything?
Did you try upgrading kernel, acpi, ...?

Andreas




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:38:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.